OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_LabelIndexedMap Class Reference

`#include <TDF_LabelIndexedMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_LabelIndexedMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDF_LabelIndexedMap & | Assign (const TDF_LabelIndexedMap &Other)
TDF_LabelIndexedMap & | operator= (const TDF_LabelIndexedMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDF_LabelIndexedMap ()
Standard_EXPORT Standard_Integer | Add (const TDF_Label &K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const TDF_Label &K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const TDF_Label &K) const
Standard_EXPORT const TDF_Label & | FindKey (const Standard_Integer I) const
const TDF_Label & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const TDF_Label &K) const
## Private Member Functions
Standard_EXPORT | TDF_LabelIndexedMap (const TDF_LabelIndexedMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDF_LabelIndexedMap::TDF_LabelIndexedMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDF_LabelIndexedMap::~TDF_LabelIndexedMap | ( |  | ) | `[inline]`

Standard_EXPORT TDF_LabelIndexedMap::TDF_LabelIndexedMap | ( | const TDF_LabelIndexedMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer TDF_LabelIndexedMap::Add | ( | const TDF_Label & | K | ) |

Standard_EXPORT TDF_LabelIndexedMap& TDF_LabelIndexedMap::Assign | ( | const TDF_LabelIndexedMap & | Other | ) |

Standard_EXPORT void TDF_LabelIndexedMap::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TDF_LabelIndexedMap::Contains | ( | const TDF_Label & | K | ) | const

Standard_EXPORT Standard_Integer TDF_LabelIndexedMap::FindIndex | ( | const TDF_Label & | K | ) | const

Standard_EXPORT const TDF_Label& TDF_LabelIndexedMap::FindKey | ( | const Standard_Integer | I | ) | const

void TDF_LabelIndexedMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_LabelIndexedMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_LabelIndexedMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

const TDF_Label& TDF_LabelIndexedMap::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

TDF_LabelIndexedMap& TDF_LabelIndexedMap::operator= | ( | const TDF_LabelIndexedMap & | Other | ) | `[inline]`

Standard_EXPORT void TDF_LabelIndexedMap::RemoveLast | ( |  | ) |

Standard_EXPORT void TDF_LabelIndexedMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void TDF_LabelIndexedMap::Substitute | ( | const Standard_Integer | I,
|  | const TDF_Label & | K
| ) |

The documentation for this class was generated from the following file:

- TDF_LabelIndexedMap.hxx